@echo off
echo Map Pack #1 Setup for XCOM/UFO
echo .
if not exist maps\culta00.map goto noXCOM
if not exist maps\interc.xcu  goto noXCU
xcomutil QueryInfo Version
if errorlevel 620  goto XCUok
echo Wrong version of XCOMUTIL installed, must be 6.2 or higher
goto finis

:XCUok
echo Do you want to install Map Pack #1?
xcomutil QueryInfo Chars yY
if errorlevel 1 goto instUfos
echo Do you want to uninstall Map Pack #1?
xcomutil QueryInfo Chars yY
if errorlevel 1 goto restShips
goto finis

:restShips
if exist maps\ufo_110.map  erase maps\ufo_110.map
copy maps\ufo_110.xcu maps\ufo_110.map
if exist maps\ufo_120.map  erase maps\ufo_120.map
copy maps\ufo_120.xcu maps\ufo_120.map
if exist maps\ufo_150.map  erase maps\ufo_150.map
copy maps\ufo_150.xcu maps\ufo_150.map
if exist maps\ufo_160.map  erase maps\ufo_160.map
copy maps\ufo_160.xcu maps\ufo_160.map
if exist maps\ufo_170.map  erase maps\ufo_170.map
copy maps\ufo_170.xcu maps\ufo_170.map
if exist routes\ufo_110.rmp  erase routes\ufo_110.rmp
copy routes\ufo_110.xcu routes\ufo_110.rmp
if exist routes\ufo_120.rmp  erase routes\ufo_120.rmp
copy routes\ufo_120.xcu routes\ufo_120.rmp
if exist routes\ufo_160.rmp  erase routes\ufo_160.rmp
copy routes\ufo_160.xcu routes\ufo_160.rmp
if exist routes\ufo_170.rmp  erase routes\ufo_170.rmp
copy routes\ufo_170.xcu routes\ufo_170.rmp
if exist maps\plane.map      erase maps\plane.map
copy maps\plane.xcu maps\plane.map
if exist maps\interc.map     erase maps\interc.map
copy maps\interc.xcu maps\interc.map
if exist xcomutil.rnd        erase xcomutil.rnd
if exist xcomutil.gfc  if exist xcomutil.cfg  erase xcomutil.cfg
if exist xcomutil.gfc  copy xcomutil.gfc xcomutil.cfg
xcomutil ufoexe shp:cfg wrt
goto finis

:instUfos
if not exist maps\ufosauc.map     copy ufosauc.map  maps
if not exist maps\ufo_111.map     copy ufo_111.map  maps
if not exist maps\ufo_112.map     copy ufo_112.map  maps
if not exist maps\ufo_113.map     copy ufo_113.map  maps
if not exist maps\ufo_114.map     copy ufo_114.map  maps
if not exist maps\ufoklatu.map    copy ufoklatu.map maps
if not exist maps\ufo_12i.map     copy ufo_12i.map  maps
if not exist maps\ufonwter.map    copy ufonwter.map maps
if not exist maps\ufo_151.map     copy ufo_151.map  maps
if not exist maps\ufo_162.map     copy ufo_162.map  maps
if not exist maps\ufo_163.map     copy ufo_163.map  maps
if not exist maps\ufogiant.map    copy ufogiant.map maps
if not exist maps\ufopark.map     copy ufopark.map  maps
if not exist maps\ufobase.map     copy ufobase.map  maps
if not exist routes\ufo_111.rmp   copy ufo_111.rmp  routes
if not exist routes\ufo_112.rmp   copy ufo_112.rmp  routes
if not exist routes\ufo_113.rmp   copy ufo_113.rmp  routes
if not exist routes\ufo_114.rmp   copy ufo_114.rmp  routes
if not exist routes\ufoklatu.rmp  copy ufoklatu.rmp routes
if not exist routes\ufo_12i.rmp   copy ufo_12i.rmp  routes
if not exist routes\ufo_162.rmp   copy ufo_162.rmp  routes
if not exist routes\ufo_163.rmp   copy ufo_163.rmp  routes
if not exist routes\ufogiant.rmp  copy ufogiant.rmp routes
if not exist routes\ufopark.rmp   copy ufopark.rmp  routes
if not exist routes\ufobase.rmp   copy ufobase.rmp  routes
if exist xcomutil.rnd  erase xcomutil.rnd
copy mappack1.rnd xcomutil.rnd

echo Do you want to enable the new human ships?
xcomutil QueryInfo Chars yY
if errorlevel 1 goto instShips
goto finis

:instShips
echo Do you want the Small or Jumbo Skyranger?
xcomutil QueryInfo Chars sSjJ
if errorlevel 3 goto setJumbo
if errorlevel 1 goto setSmall
echo S for Small or J for Jumbo
goto instShips

:setJumbo
if exist maps\plane.map  erase maps\plane.map
copy planejmb.map maps\plane.map
if not exist xcomutil.gfc  if exist xcomutil.cfg  copy xcomutil.cfg xcomutil.gfc
if exist xcomutil.cfg      erase xcomutil.cfg
copy skyjumbo.cfg xcomutil.cfg
goto endShips

:setSmall
if exist maps\plane.map  erase maps\plane.map
copy plane1.map maps\plane.map
if not exist xcomutil.gfc  if exist xcomutil.cfg  copy xcomutil.cfg xcomutil.gfc
if exist xcomutil.cfg      erase xcomutil.cfg
copy skysmall.cfg xcomutil.cfg

:endShips
if exist maps\interc.map erase maps\interc.map
copy interc1.map maps\interc.map

xcomutil ufoexe shp:cfg wrt
goto finis

:noXCOM
echo Map Pack #1 must be installed from your XCOM/UFO directory
goto finis

:noXCU
echo XCOMUTIL must be installed before Map Pack #1

:finis
